Kerbal Space Program - Bug #3001

MultiModeEngine breaks ModuleAlternator
09/11/2014 03:06 AM - Taverius

Status: Closed Start date: 09/11/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Simply put, on any part that is a MultiModeEngine, ModuleAlternator only works for the primary ModuleEnginesFX.
Reproduction:

1. Edit RAPIER .cfg

2. Copy ModuleAlternator from any engine (I tested with the JetEngine one)
3. Load KSP

4. Launch craft with engine

5. Enable engine

6. Switch mode

Once the engine is switched to its secondary mode, the alternator will stop producing power until its switched back to primary.

History

#1 - 07/17/2016 09:26 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/09/2016 11:11 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
